package net.sourceforge.basher;

/**
 * @author Johan Lindquist
 */
public class TestTaskConfiguration extends BasherTestCase
{

    public void testRecalculateWeight()
    {

        TaskConfiguration taskConfiguration = new TaskConfiguration();
        taskConfiguration.setWeight( 10 );
        taskConfiguration.setInertia( 1.1D );

        assertEquals( "bad initial weight", new Integer( 10 ), taskConfiguration.getWeight() );
        assertEquals( "bad initial inertia", 0, Double.compare( 1.1D, taskConfiguration.getInertia() ) );

        taskConfiguration.reCalculateWeight();

        assertEquals( "bad new weight", new Integer( 11 ), taskConfiguration.getWeight() );

        taskConfiguration.reCalculateWeight();

        assertEquals( "bad new weight", new Integer( 12 ), taskConfiguration.getWeight() );

        taskConfiguration.reset();

        assertEquals( "bad weight after reset", new Integer( 10 ), taskConfiguration.getWeight() );

    }

}
