package net.sourceforge.basher.events;

import java.util.concurrent.atomic.AtomicLong;

import junitx.extensions.EqualsHashCodeTestCase;
import net.sourceforge.basher.BasherContext;

/**
 * @author Johan Lindquist
 * @version $Revision$
 */
public class TestCollectionStartedEvent extends EqualsHashCodeTestCase
{
    public TestCollectionStartedEvent( String name )
    {
        super( name );
    }

    private BasherContext _basherContext1;
       private BasherContext _basherContext2;

       @Override
       protected void setUp() throws Exception
       {
           _basherContext1 = new BasherContext();
           _basherContext1.setName("1");
           _basherContext2 = new BasherContext();
           _basherContext2.setName("2");

           super.setUp();

       }


    public void testEqualsHashCode()
    {
        CollectionStartedEvent collectionStartedEvent1 = new CollectionStartedEvent(_basherContext1);
        CollectionStartedEvent collectionStartedEvent2 = new CollectionStartedEvent(_basherContext2);
        
        assertEquals("bad equals", collectionStartedEvent1, collectionStartedEvent1);
        assertEquals("bad hashcode", collectionStartedEvent1.hashCode(), collectionStartedEvent1.hashCode());
        assertNotSame("bad equals", collectionStartedEvent1, collectionStartedEvent2);
        assertNotSame("bad hashcode", collectionStartedEvent2.hashCode(), collectionStartedEvent2.hashCode());

    }


    @Override
    protected Object createInstance() throws Exception
    {
        CollectionStartedEvent collectionStartedEvent = new CollectionStartedEvent(_basherContext1);
        collectionStartedEvent.setCreationTime( 1 );
        return collectionStartedEvent;
    }

    @Override
    protected Object createNotEqualInstance() throws Exception
    {
        CollectionStartedEvent collectionStartedEvent = new CollectionStartedEvent(_basherContext2);
        collectionStartedEvent.setCreationTime( 2 );
        return collectionStartedEvent;
    }
}
