package net.sourceforge.basher.impl;

import net.sourceforge.basher.tasks.AbstractTask;

/**
 * @author Johan Lindquist
 */
public class NamedTestTask extends AbstractTask
{
    private String _name;

    public NamedTestTask( final String name )
    {
        _name = name;
    }

    public String getName()
    {
        return _name;
    }

    public void executeTask() throws Throwable
    {
    }

    @Override
    public boolean equals(final Object o)
    {
        if (this == o)
        {
            return true;
        }
        if (o == null || getClass() != o.getClass())
        {
            return false;
        }
        if (!super.equals(o))
        {
            return false;
        }

        final NamedTestTask that = (NamedTestTask) o;

        if (_name != null ? !_name.equals(that._name) : that._name != null)
        {
            return false;
        }

        return true;
    }

    @Override
    public int hashCode()
    {
        int result = super.hashCode();
        result = 31 * result + (_name != null ? _name.hashCode() : 0);
        return result;
    }

    @Override
    public String toString()
    {
        return "NamedTestTask{" +
                "_name='" + _name + '\'' +
                "} " + super.toString();
    }
}
